str_node Struct Reference

`#include <fapi_types.h>`

## Data Fields

char * | str
bool | free_string
struct str_node * | next

## Detailed Description

The data structure storing a linked list of strings.

The structure is used for the processing of file paths

## Field Documentation

## free_string

bool free_string

Indicates whether a free has to called on cleanup

## next

struct str_node* next

Pointer to next element

## str

char* str

A string of the string list

The documentation for this struct was generated from the following file:

- src/tss2-fapi/fapi_types.h